device_type: x86
job_name: x86-debian-debootstrap

timeouts:
  job:
    minutes: 15
  action:
   minutes: 5
  actions:
    bootloader-action:
      minutes: 5
    bootloader-retry:
      minutes: 5
    bootloader-interrupt:
      minutes: 5
  extract-nfsrootfs:
    seconds: 90
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava-team/refactoring.git
  path: ipxe.yaml

context:
  extra_kernel_args: initrd=/ramdisk.cpio root=/dev/ram0

actions:
- deploy:
    timeout:
      minutes: 2
    modules_compression: xz
    to: tftp
    kernel:
      url: http://192.168.0.1:8000/linaro/debian/vmlinuz
    ramdisk:
      url: http://192.168.0.1:8000/linaro/debian/initrd.gz
      compression: gz
    modules:
      url: http://192.168.0.1:8000/linaro/debian/modules.tar.gz
      compression: gz
    os: debian

- boot:
    method: ipxe
    commands: ramdisk
    prompts:
    - 'root@debian:~#'
    - '/ #'

- test:
    timeout:
      minutes: 5
    definitions:
     - repository: git://git.linaro.org/qa/test-definitions.git
       from: git
       path: ubuntu/smoke-tests-basic.yaml
       name: smoke-tests
     - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
       from: git
       path: lava-test-shell/single-node/singlenode03.yaml
       name: singlenode-advanced
